Table of Contents

## Name

im_init - make an IMAGE descriptor

## Synopsis

#include <vips/vips.h>

IMAGE *im_init( char *filename )

## Description

im_init(3) allocates space for an IMAGE descriptor, sets all fields to initial values, and returns the descriptor. A copy is made of the filename argument. The IMAGE returned by im_init(3) should be passed to im_close(3) to free it.

This function is used internally by VIPS and should not be called by users.

## See Also

im_mmapin(3) , im_openin(3) , im_setbuf(3) , im_close(3) .

## Copyright

Birkbeck College and the National Gallery (c) 1994

## Author

N. Dessipris - 11/04/1990
J.Cupitt - 23/2/94

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Copyright
- Author